• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Sn0wBreeze 1.6 Released : Jailbreak iOS 4 for Windows


    Warning: Spirit Jailbreakers: Do Not Update while using the Spirit JB Exploit. Use RedSn0w, PwnageTool, or Sn0wBreeze to jailbreak first, and THEN you may use these new tools.


    Yesterday we had the release of PwnageTool 4.01 for Mac, from the Dev-Team, which allowed you to make custom iOS 4 firmwares ready for jailbreaking. Only a day later, we now have Windows support for creating custom jailbroken firmwares, with Sn0wBreeze 1.6

    Just like RedSn0w, you will have the additional functionality options for the iPhone 3G and iPod Touch 2G, for multitasking and wallpapers. The same rules apply for Sn0wBreeze 1.6 as does PwnageTool. Certain devices are not supported. This is simply due to the fact that the hardware is not supported in iOS 4.0. The Phone 2G, iPod Touch, iPod Touch 3G are not supported. Neither is the iPhone 3GS with the new Bootrom, the MC models.

    If you have an iPhone 3GS, Sn0wbreeze 1.6 only works on previously jailbroken 3GS devices with the old bootrom. If you have a Jailbroken iPhone 3GS with the OLD BOOTROM and you DID NOT use Spirit to jailbreak, then you can create the custom firmware with Sn0wbreeze 1.6 and restore this ipsw with your jailbroken iPhone, while in recovery mode.

    If you have a Jailbroken iPhone 3G at 3.1.2 (but not jailbroken with Spirit) then you can create the firmware with Sn0wBreeze and restore your iPhone 3G from recovery mode or DFU mode. If you have an out of the box iPhone 3G you should restore using a Sn0wbreeze's DFU mode. If you have a Jailbroken 3.1.3 iPhone 3G it is very possible that this can fail from recovery mode, if this failure happens you will need to restore using DFU mode.

    Just like PwnageTool, you can add custom packages, which means you can include ultrasn0w along with the firmware so that you won't need Wi-Fi access to install it later. So basically everything that was offered on the Mac side with PwnageTool, is now available on the Windows side via Sn0wBreeze.

    As an alternative to Sn0wbreeze 1.6, you can use redsn0w on iPhone 3G (on both Windows and Mac).

    Let us recap real quick. Here is a list of supported devices:

    iPhone 3GS (old bootrom, non MC model, not spirit jailbroken)
    iPhone 3G (might require DFU,)
    iPod 2G (non MC model, not spirit jailbroken)

    In almost every case, you need to be previously jailbroken except for the 3G, but you must NOT be jailbroken with Spirit (on 3.1.2 this might work, but 3.1.3 has issues).

    Sorry guys, still no support for newer model iPhone 3GS. Stick to 3.1 for now.

    Snowbreeze 1.6.1 Windows
    MMi Member Mirror
    Rapidshare
    Megaupload

    redsn0w_win_0.9.5b5-4
    MMi Member Mirror
    Rapidshare
    Megaupload

    redsn0w_mac_0.9.5b5-4
    MMi Member Mirror
    Rapidshare
    Megaupload
    This article was originally published in forum thread: Sn0wBreeze 1.6 Released : Jailbreak iOS 4 for Windows started by nickhesson View original post
    Comments 573 Comments
    1. nrfuller's Avatar
      nrfuller -
      "if your Iphone is untethered jailbreak by Blackra1n, you can create a custom firmware of iOS 4.0 and restore to it"

      Um there isn't like a guide or a walkthrough somewhere that explains how to create a custom firmware, is there? Cause man, I don't have ANY idea how to do that. In the meantime, thanks for the quick response, I appreciate it.
    1. robertr1's Avatar
      robertr1 -
      Quote Originally Posted by rmathew_99 View Post
      Thanks to Dev team for providing that all important update. They had Spirit on their site on the front page and now they built a tool that does not work with it. GREAT!!!!
      I did my reset and I sure it got rid of that crape.
      So clicking the restore button on itunes got rid of it? I mean using the old itunes (9.1 or w/e the last one was) and restoring it. When I went to restore mine I think it asked if I wanted to update to 9.2 because it needs it to update to iOS4... Which it makes me do when I restore it it only gives me the options "Restore and update" and "Cancel". So I just want to be clear when I click restore and update will it restore it and remove spirit then update itunes then update to iOS4?
    1. whereswaldo's Avatar
      whereswaldo -
      So no iPT3 support?
    1. iYeow's Avatar
      iYeow -
      For those guys that I have answered your questions , please press thanks or I will not be going through all those questions.
    1. Da Wil-Man's Avatar
      Da Wil-Man -
      Ok too many replies to read them all...Simple question..

      I just got my iPhone 4 so my 3G is no longer activated with AT&T. I want to upgrade it to 4.0 and use snowbreeze and ultrasnow to JB and unlock. At the step of snowbreeze that asks if I want to activate my phone, do I click yes? It wont mess up my activated iPhone 4 will it?
    1. rmathew_99's Avatar
      rmathew_99 -
      Quote Originally Posted by yeow202 View Post
      For those guys that I have answered your questions , please press thanks or I will not be going through all those questions.
      I tried restoring while phone was on but still got 1604 error. Thanks for suggestion though.
    1. tamaysz's Avatar
      tamaysz -
      Quote Originally Posted by rmathew_99 View Post
      I agree with you 100%. They have been playing these games. I can't believe geohot who created Spirit and now refuses to do anything to update it for ios4. It was supposed to be temp fix until ios4 came.
      I hate myself for donating $ to him.
      If you agree, or for anyone else who I've helped out with my posts, please remember to hit the Thanks button.
    1. VaderForce's Avatar
      VaderForce -
      I don't know what I've done wrong. I have upgraded my week 38 3GS to 3.1.3 have used Spirit for a jailbreak. Now, when 4.0 was released I knew that jailbreaking tools will be coming out for 4.0 so I "restored" to 4.0. Now, I downgraded successfully to 3.1.2 & used redsnow 0.94 to jailbreak because I wanted to use snowbreeze. So I now have an activated jailbroken 3GS with Cydia.
      Knowing that I'm jailbroken I "upgraded" to iTunes 4.0 & it wiped out Cydia, it's gone off the homescreen & when I use spotlight it's not there.
      Now you know what I've done, what did I do wrong?.
    1. iYeow's Avatar
      iYeow -
      Quote Originally Posted by VaderForce View Post
      I don't know what I've done wrong. I have upgraded my week 38 3GS to 3.1.3 have used Spirit for a jailbreak. Now, when 4.0 was released I knew that jailbreaking tools will be coming out for 4.0 so I "restored" to 4.0. Now, I downgraded successfully to 3.1.2 & used redsnow 0.94 to jailbreak because I wanted to use snowbreeze. So I now have an activated jailbroken 3GS with Cydia.
      Knowing that I'm jailbroken I "upgraded" to iTunes 4.0 & it wiped out Cydia, it's gone off the homescreen & when I use spotlight it's not there.
      Now you know what I've done, what did I do wrong?.
      Now what you need to do is to downgrade again to 3.1.2, you can use Blackra1n to jailbreak, you will also need tools like ireb to error out first. Once done, create a custom iOS 4.0 and restore to it. You will then have a Jailbroken , unlock with Ultrasn0w at version iOS 4.0.
      When you are trying to error out 1015, you must not have Itunes 9.1 and above, because Itunes greater than 9.1 will kill your erroring tools like quickpwn or maybe even ireb. I know for sure quickpwn 22.1 use for erroring the 1015 doesn't open when I have itunes = or > 9.1 installed, will not work. It is best if you have two computers to work with.
    1. tamaysz's Avatar
      tamaysz -
      Quote Originally Posted by finalfantasy View Post
      Bottom line is 95% of iphone users are old bootrom 3GS or older (2g or 3g ect....) so theirs not a huge rush to reinvite an entire new code and program for a small number of ppl.
      Quote Originally Posted by tamaysz View Post
      I'd say that there is a large amount of people that have a 3Gs with a new bootrom, and there are thousands already that have an iPhone 4. You seriously think that dev's should just forget about creating jailbreaks for the new users? Just cause you think your so special by having an older phone than some of us. You've gotta be pretty ignorant to be saying that, and I really don't think you realize, but your comment ticks off lots of people. Not just me.

      If you had a new 3Gs or an iPhone 4, you'd feel left out too, just like THOUSANDS of us feel right now, with all the jailbreaks only catering to older phones!
      Quote Originally Posted by finalfantasy View Post
      your not being left out either and neither are the iphone 4's... it will just take longer... Geohot has said hes not planning any jailbreak soon but he is working on pwned4life wich will but not anytime soon. And iphone 4's will just have too wait just like 3gs owners did.. when i got the 3gs the day it was release it took almost 3 moths for geohot to decide dev team was taking too long and came out with blackra1n lol and it will be the same for newer 3gs and iphone4's
      Yet according to your first post, you'd rather the Dev's not bother to rush for 3Gs and iPhone 4 users, just cause... Let me guess, you have an older bootrom... I'll bite my tongue with the comments I could make.

      As for geohot, pwned4life was announced last week. Take a look at his Twitter page. A few hours ago he commented that he is NOT working on any jailbreak now. As for the Dev Team, they only bother with jailbreaks for older devices, so the only hope for the new 3Gs and iPhone 4 is comex, but he even admitted on Twitter that he hasn't worked on anything cause he assumed geohot was gonna bring out his exploit, but now that's not the case.

      Looks like us users with the newer iDevices are being forgotten yet again.
    1. iYeow's Avatar
      iYeow -
      Quote Originally Posted by rmathew_99 View Post
      I tried restoring while phone was on but still got 1604 error. Thanks for suggestion though.
      Can you give me more info, Do you have the new bootrom, what os are you at ? are you jailbroken now?
    1. bts0uth's Avatar
      bts0uth -
      that sucks "geohot" says he isnt even working a new jailbreak. dev team apparently doesnt care about the new bootrom and iphone 4. this sucks. iPhones are ****** unless they are jailbroken. It's boring.
    1. dmb41302's Avatar
      dmb41302 -
      I call BS on this whole thing. I have been unlocking iPhones since the 2G, I have used every type of unlock tool out there ( I have a mac and PC). From day one I was always able to unlock and jailbreak, no problem whatsoever. I am keen on all the Bootloader and baseband info and what is tethered and untethered, the weeks on the serial numbers EVERYTHING. I was on 3.1.2 jailbroken, unlocked below week 42 iPhone 3GS and I will tell you I have tried over 20 times with DFU and restore mode, you name it every mode out there, even ones that do not exist..... THIS DOES NOT WORK. I am on 9.2 I have a mac on 9.1 and I have updated and I have done all trouble shooting and no matter what it will not work. This program is a piece of crap

      Forget upgrading until there is a clean jailbreak from iOS4 then use ultrasnow.

      If you were on SHSH just downgrade to 3.1.2 if you get error "couldn't restore" just use blackra1n, it works perfect.
    1. joe97's Avatar
      joe97 -
      Quote Originally Posted by dmb41302 View Post
      I call BS on this whole thing. I have been unlocking iPhones since the 2G, I have used every type of unlock tool out there ( I have a mac and PC). From day one I was always able to unlock and jailbreak, no problem whatsoever. I am keen on all the Bootloader and baseband info and what is tethered and untethered, the weeks on the serial numbers EVERYTHING. I was on 3.1.2 jailbroken, unlocked below week 42 iPhone 3GS and I will tell you I have tried over 20 times with DFU and restore mode, you name it every mode out there, even ones that do not exist..... THIS DOES NOT WORK. I am on 9.2 I have a mac on 9.1 and I have updated and I have done all trouble shooting and no matter what it will not work. This program is a piece of crap

      Forget upgrading until there is a clean jailbreak from iOS4 then use ultrasnow.

      If you were on SHSH just downgrade to 3.1.2 if you get error "couldn't restore" just use blackra1n, it works perfect.
      just to confirm what your saying, after upgrading to 4.0 you restored to 3.1.2 w/SHSH blobs on file, got error message, and blackra1n busted you out of couldn't restore loop?

      also just to confirm what already seems true to me but doesn't make a whole lot of sense, it's possible to downgrade from 4.0 official to 3.1.2 w/SHSH on file, but not from 3.1.3 official to 3.1.2 w/SHSH on file?
    1. kenyan's Avatar
      kenyan -
      Guys I have an iPhone 3GS 32GB, with Version 3.1.3 (7E18), Serial Number XX930UVXXXX, Model MC137LL, Modem 05.12.01. Do you think I could JB if I was to upgrade. I have SHSH Blobs saved on my comp as well as on Cydia Servers.......

      I did though ""SADLY"" jailbreak with Spirit, hence the confusion on what I can or what I can't do. I need IOS4 Jailbroken and Unlocked, as the phone was initially locked to AT&T, and am no longer in the States, so need it unlocked for my Vodafone network here.

      Any help will be very much appreicated.
    1. joe97's Avatar
      joe97 -
      I don't think the dev_team doesn't care, I think they are hard at work. They are awesome at what they do it just takes time. Geohot cares just a smidgen but would never let on.
    1. dmb41302's Avatar
      dmb41302 -
      Yes, I tried everything and then eventually just officially upgraded to iOS4 and it said "please insert active sim" I then tried custom IPSW, it gave me an error, I downgraded to official 3.1.2 and right before it was done it blew the "cannot restore" error. I disconnected the phone from the computer, plugged it back in, it told me to restore, I just ran black ra1n and BOOM back to 3.1.2 ready to sync.

      I CONFIRM OFFICIAL 4.0 TO 3.1.2 IS POSSIBLE WITH SHSH

      3.1.3 have not tried

      DO NOT BE AFRAID TO UPGRADE THE BASEBAND THEY ARE ALL UNLOCKED BUT YOU NEED SHSH
    1. joe97's Avatar
      joe97 -
      Quote Originally Posted by dmb41302 View Post
      I call BS on this whole thing. I have been unlocking iPhones since the 2G, I have used every type of unlock tool out there ( I have a mac and PC). From day one I was always able to unlock and jailbreak, no problem whatsoever. I am keen on all the Bootloader and baseband info and what is tethered and untethered, the weeks on the serial numbers EVERYTHING. I was on 3.1.2 jailbroken, unlocked below week 42 iPhone 3GS and I will tell you I have tried over 20 times with DFU and restore mode, you name it every mode out there, even ones that do not exist..... THIS DOES NOT WORK. I am on 9.2 I have a mac on 9.1 and I have updated and I have done all trouble shooting and no matter what it will not work. This program is a piece of crap

      Forget upgrading until there is a clean jailbreak from iOS4 then use ultrasnow.

      If you were on SHSH just downgrade to 3.1.2 if you get error "couldn't restore" just use blackra1n, it works perfect.
      yes I can confirm this does work if you have SHSH blobs on file. Cannot downgrade from 3.1.3 to 3.1.2 but upgrade from 3.1.3 to stock 4.0, downgrade to 3.1.2 only if you have SHSH on file. Thanks dmb41302. Looks like 3.1.3 was just one big digital headache Apple injected into our community. Now to Pwnage Tool for 4.0--
    1. kenyan's Avatar
      kenyan -
      Quote Originally Posted by joe97 View Post
      yes I can confirm this does work if you have SHSH blobs on file. Cannot downgrade from 3.1.3 to 3.1.2 but upgrade from 3.1.3 to stock 4.0, downgrade to 3.1.2 only if you have SHSH on file. Thanks dmb41302. Looks like 3.1.3 was just one big digital headache Apple injected into our community. Now to Pwnage Tool for 4.0--
      Hoe97, would you be able to give a run down on how you did it, as am also on 3.1.3, how and where you got the Stock 4.0 before downgrading to 3.1.2. A detailed guide would help many on 3GS who would like to be in your shoes right now.
    1. darwina's Avatar
      darwina -
      I must be super dumb, but both redsn0w and sn0wbreeze say the 4.0 ipsw is not valid, or something along those lines. If I have a 3G that I updated to 4.0 through iTunes, am I not supposed to be using the 4.0_8A293_restore ipsw? I'm missing the simple part, I think...